Bug 340165 - start new instance of running application with keyboard shortcut
Summary: start new instance of running application with keyboard shortcut
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Icons-only Task Manager (show other bugs)
Version: 5.1.0
Platform: Other Linux
: NOR wishlist
Target Milestone: 1.0
Assignee: Eike Hein
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-20 17:04 UTC by apache
Modified: 2015-08-15 17:57 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description apache 2014-10-20 17:04:33 UTC
I just checked new Plasma 5. There is no simple way to start a new instance of running application from  Icon tasks (and in default task manager too). User need to do right mouse click and choose option. That's not comfortable. I propose to introduce a new feature: Ctrl (or Shift) +click on icon to start a new instance of running application.

A bit of off-topic:
I wish more attention would be given to Icon task appearance in Plasma 5. I suggest reconsider Bug 298490 Icons in Icon Task Manager are too small. 
I wish I could get rid of separate panel to keep launchers/shortcuts and use Icon task with option "Show a Launcher when not running" and be able to start multiple instances of application.
Comment 1 Philipp A. 2014-11-01 13:05:25 UTC
or, as it is done almost anywhere: middle click starts a new instance.

confirming as regression.
Comment 2 Philipp A. 2014-11-01 13:50:25 UTC
i’ve found a quick fix:

change this:
https://projects.kde.org/projects/kde/workspace/plasma-desktop/repository/revisions/master/entry/applets/taskmanager/package/contents/ui/Task.qml#L56
to:
acceptedButtons: Qt.LeftButton | Qt.RightButton | Qt.RightButton | Qt.MiddleButton

and add to this:
https://projects.kde.org/projects/kde/workspace/plasma-desktop/repository/revisions/master/entry/applets/taskmanager/package/contents/ui/Task.qml#L92
code to create a new instance if the button was Qt.MiddleButton
Comment 3 Eike Hein 2014-11-03 12:51:11 UTC
Middle-click actually tends to *close* things most of the time (browser tab bars, Present Windows, ...) so it's not a good idea to use it for launching new instances. Shift+Click makes more sense there I think.
Comment 4 Eike Hein 2014-11-03 13:38:13 UTC
Git commit 58b2a3d1bf7828698b02ea4778996f1b8796a982 by Eike Hein.
Committed on 03/11/2014 at 13:37.
Pushed by hein into branch 'master'.

Launch new instances on Shift+Click.

M  +3    -1    applets/taskmanager/package/contents/ui/Task.qml
M  +2    -0    applets/taskmanager/package/contents/ui/main.qml
M  +9    -0    applets/taskmanager/plugin/backend.cpp
M  +1    -0    applets/taskmanager/plugin/backend.h

http://commits.kde.org/plasma-desktop/58b2a3d1bf7828698b02ea4778996f1b8796a982
Comment 5 Philipp A. 2014-11-03 20:36:25 UTC
but then i need two hands, with 3 unused buttons on my mouse…
Comment 6 Pedro Albuquerque Santos 2015-04-10 16:56:31 UTC
Comment #3 gives a reason on why middle click should not be used to launch a new instance, however I disagree. There are already situations in which middle clicking is used to launch new "things" and not just to close "things". For example, on Chrome and Firefox middle clicking a link or a bookmark launches it on a new tab.

So, could you please add the possibility of middle clicking to launch a new instance? Or at least make it an option that we users can enable.
Comment 7 Philipp A. 2015-04-11 13:20:43 UTC
> For example, on Chrome and Firefox middle clicking a link or a bookmark launches it on a new tab.

yeah! so this behavior is even expected.
Comment 8 Eike Hein 2015-04-11 13:33:52 UTC
And middle-clicking on a tab closes that tab.
Comment 9 Philipp A. 2015-04-11 15:55:54 UTC
yes. so are task bars tabs or bookmarks/links?

they are both: they indicate the status of applications (launched or not, like tabs), but pinning a launcher also makes them bookmarks/links.

so why not make it configurable?

Middle click action: (x) Launch new instance ( ) Close window

with this default and choice, people would have more functionality and there wouldn’t be bad surprises, as a new instance started when you want to close a window is less annoying than closing a window while wanting to start a new instance.
Comment 10 Soukyuu 2015-05-15 23:18:10 UTC
FWIW, the kde4 version of icontasks had this configurable. Personally, I prefer middle button click to handle that.

Also, if shit+click is the current behavior, why isn't it stated in the right-click menu? It says "Icon-only task manager settings... Alt+D,S", but "Start new Instance". It should be "Start new instance Shift+Click" or something. I'd never figure out how to start a new instance had I not found this bug report tbh.
Comment 11 Eike Hein 2015-05-15 23:40:39 UTC
It'll be configurable in Plasma 5.4.
Comment 12 Alexander Schier 2015-08-15 17:57:43 UTC
Middle click seems more reasonable, as a program icon is just a a link ... it opens a new instance(tab). Middle click on the application icon in a taskbar could close it (as doubleclick there does)